package domaine.fichiers;

import java.io.DataInputStream;
import java.io.FileInputStream;

import application.Alarmes;
import domaine.Alarme;
import domaine.ListeDAlarmes;
import domaine.Operation;
import domaine.temps.Heure;

public class ChargementBinaire implements Operation {
	private DataInputStream fichier;
	public ChargementBinaire(String nomDeFichier) throws Exception {
		fichier = new DataInputStream(new FileInputStream(nomDeFichier));
		byte version = fichier.readByte();
		if (version != Alarmes.FILE_VERSION)
			throw new VersionDeFichierNonGeree(version);
	}
	public void opereSur(ListeDAlarmes l) throws Exception {
		int n = fichier.readInt();
		for(int i = 0; i < n; i++) {
			Alarme nouvelle = new Alarme();
			nouvelle.realise(this);
			l.ajoute(nouvelle);
		}
		fichier.close();
	}
	public void opereSur(Alarme a) throws Exception {
		a.heure().realise(this);
	}
	public void opereSur(Heure h) throws Exception {
		byte hr, mn;
		hr = fichier.readByte();
		mn = fichier.readByte();
		h.affecteA(hr, mn);
	}
}
