package domaine.fichiers;

import java.io.BufferedReader;
import java.io.FileReader;

import application.Alarmes;
import domaine.Alarme;
import domaine.ListeDAlarmes;
import domaine.Operation;
import domaine.temps.Heure;

public class ChargementTexte implements Operation {
	private BufferedReader fichier;
	public ChargementTexte(String nomDeFichier) throws Exception {
		fichier = new BufferedReader(new FileReader(nomDeFichier));
		String ligneLue = fichier.readLine();
		byte version = Byte.parseByte(ligneLue);
		if (version != Alarmes.FILE_VERSION)
			throw new VersionDeFichierNonGeree(version);
	}
	public void opereSur(ListeDAlarmes l) throws Exception {
		int n = 0;
		n = Integer.parseInt(fichier.readLine());
		for(int i = 0; i < n; i++) {
			Alarme nouvelle = new Alarme();
			nouvelle.realise(this);
			l.ajoute(nouvelle);
		}
		fichier.close();
	}
	public void opereSur(Alarme a) throws Exception {
		a.heure().realise(this);
	}
	public void opereSur(Heure h) throws Exception {
		String ligneLue = fichier.readLine();
		h.affecteA(ligneLue);
	}
}
