package domaine.fichiers;

import java.io.FileNotFoundException;
import java.io.PrintWriter;

import application.Alarmes;
import domaine.Alarme;
import domaine.ListeDAlarmes;
import domaine.Operation;
import domaine.temps.Heure;

public class EnregistrementXML implements Operation {
	private PrintWriter fichier;
	public EnregistrementXML(String nomDeFichier) throws FileNotFoundException {
		fichier = new PrintWriter(nomDeFichier);
	}
	public void opereSur(ListeDAlarmes l) throws Exception {
		fichier.println("<alarmes version=\"" + Alarmes.FILE_VERSION + "\">");
        for (Alarme a : l) a.realise(this);
		fichier.println("</alarmes>");
        fichier.close();
	}
	public void opereSur(Alarme a) throws Exception {
		fichier.println("\t<alarme>");
		a.heure().realise(this);
		fichier.println("\t</alarme>");
	}
	public void opereSur(Heure h) throws Exception {
		fichier.println("\t\t<heure>");
		fichier.println("\t\t\t" + h);
		fichier.println("\t\t</heure>");
	}
}
