package domaine.fichiers;

import static outils.NomDeFichier.extension;

import domaine.Operation;

public class GestionDeFichiers {
	public static Operation operationPourEnregistrer(String nomDeFichier) throws Exception {
    	TypeDeFichier type = TypeDeFichier.pour(extension(nomDeFichier));
    	switch (type) {
    		case TEXTE   : return new EnregistrementTexte(nomDeFichier);
    		case XML     : return new EnregistrementXML(nomDeFichier);
    		case BINAIRE : return new EnregistrementBinaire(nomDeFichier);
    		default      : throw new Exception("Type de fichier en écriture non reconnu !");
    	}
	}
	public static Operation operationPourCharger(String nomDeFichier) throws Exception {
    	TypeDeFichier type = TypeDeFichier.pour(extension(nomDeFichier));
    	switch (type) {
    		case TEXTE   : return new ChargementTexte(nomDeFichier);
    		case BINAIRE : return new ChargementBinaire(nomDeFichier);
    		default      : throw new Exception("Type de fichier en lecture non reconnu !");
    	}
	}
}
